namespace OF_DL.Models.Dtos.Messages;

public class ChatsDto
{
    [JsonProperty("list")] public List<ChatItemDto> List { get; set; } = [];
    [JsonProperty("hasMore")] public bool HasMore { get; set; }
    [JsonProperty("nextOffset")] public int NextOffset { get; set; }
}

public class ChatItemDto
{
    [JsonProperty("withUser")] public ChatUserDto WithUser { get; set; } = new();
    [JsonProperty("unreadMessagesCount")] public int UnreadMessagesCount { get; set; }
}

public class ChatUserDto
{
    [JsonProperty("id")] public long Id { get; set; }
}
